Package org.eclipse.ui

# Interface IWorkbenchCommandConstants

public interface IWorkbenchCommandConstants
Constants for all commands defined by the Eclipse workbench.

Since:
  3.5
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EDIT_ADD_BOOKMARK`
Id for command "Add Bookmark" in category "Edit" (value is `"org.eclipse.ui.edit.addBookmark"`).
`static final String`
`EDIT_ADD_TASK`
Id for command "Add Task" in category "Edit".
`static final String`
`EDIT_CONTENT_ASSIST`
Id for command "Content Assist" in category "Edit" (value is `"org.eclipse.ui.edit.text.contentAssist.proposals"`).
`static final String`
`EDIT_CONTEXT_INFORMATION`
Id for command "Context Information" in category "Edit" (value is `"org.eclipse.ui.edit.text.contentAssist.contextInformation"`).
`static final String`
`EDIT_COPY`
Id for command "Copy" in category "Edit" (value is `"org.eclipse.ui.edit.copy"`).
`static final String`
`EDIT_CUT`
Id for command "Cut" in category "Edit" (value is `"org.eclipse.ui.edit.cut"`).
`static final String`
`EDIT_DELETE`
Id for command "Delete" in category "Edit" (value is `"org.eclipse.ui.edit.delete"`).
`static final String`
`EDIT_FIND_AND_REPLACE`
Id for command "Find and Replace" in category "Edit" (value is `"org.eclipse.ui.edit.findReplace"`).
`static final String`
`EDIT_PASTE`
Id for command "Paste" in category "Edit" (value is `"org.eclipse.ui.edit.paste"`).
`static final String`
`EDIT_REDO`
Id for command "Redo" in category "Edit" (value is `"org.eclipse.ui.edit.redo"`).
`static final String`
`EDIT_SELECT_ALL`
Id for command "Select All" in category "Edit" (value is `"org.eclipse.ui.edit.selectAll"`).
`static final String`
`EDIT_UNDO`
Id for command "Undo" in category "Edit" (value is `"org.eclipse.ui.edit.undo"`).
`static final String`
`FILE_CLOSE`
Id for command "Close" in category "File" (value is `"org.eclipse.ui.file.close"`).
`static final String`
`FILE_CLOSE_ALL`
Id for command "Close All" in category "File" (value is `"org.eclipse.ui.file.closeAll"`).
`static final String`
`FILE_CLOSE_OTHERS`
Id for command "Close Others" in category "File" (value is `"org.eclipse.ui.file.closeOthers"`).
`static final String`
`FILE_EXIT`
Id for command "Exit" in category "File" (value is `"org.eclipse.ui.file.exit"`).
`static final String`
`FILE_EXPORT`
Id for command "Export" in category "File" (value is `"org.eclipse.ui.file.export"`).
`static final String`
`FILE_EXPORT_PARM_WIZARDID`
Id for parameter "Export Wizard" in command "Export" in category "File" (value is `"exportWizardId"`).
`static final String`
`FILE_IMPORT`
Id for command "Import" in category "File" (value is `"org.eclipse.ui.file.import"`).
`static final String`
`FILE_IMPORT_PARM_WIZARDID`
Id for parameter "Import Wizard" in command "Import" in category "File" (value is `"importWizardId"`).
`static final String`
`FILE_MOVE`
Id for command "Move" in category "File" (value is `"org.eclipse.ui.edit.move"`).
`static final String`
`FILE_NEW`
Id for command "New" in category "File" (value is `"org.eclipse.ui.newWizard"`).
`static final String`
`FILE_NEW_PARM_WIZARDID`
Id for parameter "New Wizard" in command "New" in category "File" (value is `"newWizardId"`).
`static final String`
`FILE_PRINT`
Id for command "Print" in category "File" (value is `"org.eclipse.ui.file.print"`).
`static final String`
`FILE_PROPERTIES`
Id for command "Properties" in category "File" (value is `"org.eclipse.ui.file.properties"`).
`static final String`
`FILE_REFRESH`
Id for command "Refresh" in category "File" (value is `"org.eclipse.ui.file.refresh"`).
`static final String`
`FILE_RENAME`
Id for command "Rename" in category "File" (value is `"org.eclipse.ui.edit.rename"`).
`static final String`
`FILE_RESTART`
Id for command "Restart" in category "File" (value is `"org.eclipse.ui.file.restartWorkbench"`).
`static final String`
`FILE_REVERT`
Id for command "Revert" in category "File" (value is `"org.eclipse.ui.file.revert"`).
`static final String`
`FILE_SAVE`
Id for command "Save" in category "File" (value is `"org.eclipse.ui.file.save"`).
`static final String`
`FILE_SAVE_ALL`
Id for command "Save All" in category "File" (value is `"org.eclipse.ui.file.saveAll"`).
`static final String`
`FILE_SAVE_AS`
Id for command "Save As" in category "File" (value is `"org.eclipse.ui.file.saveAs"`).
`static final String`
`HELP_ABOUT`
Id for command "About" in category "Help" (value is `"org.eclipse.ui.help.aboutAction"`).
`static final String`
`HELP_DYNAMIC_HELP`
Id for command "Dynamic Help" in category "Help" (value is `"org.eclipse.ui.help.dynamicHelp"`).
`static final String`
`HELP_HELP_CONTENTS`
Id for command "Help Contents" in category "Help" (value is `"org.eclipse.ui.help.helpContents"`).
`static final String`
`HELP_HELP_SEARCH`
Id for command "Help Search" in category "Help" (value is `"org.eclipse.ui.help.helpSearch"`).
`static final String`
`HELP_TIPS_AND_TRICKS`
Id for command "Tips and Tricks" in category "Help" (value is `"org.eclipse.ui.help.tipsAndTricksAction"`).
`static final String`
`HELP_WELCOME`
Id for command "Welcome" in category "Help" (value is `"org.eclipse.ui.help.quickStartAction"`).
`static final String`
`NAVIGATE_BACK`
Id for command "Back" in category "Navigate" (value is `"org.eclipse.ui.navigate.back"`).
`static final String`
`NAVIGATE_BACKWARD_HISTORY`
Id for command "Backward History" in category "Navigate" (value is `"org.eclipse.ui.navigate.backwardHistory"`).
`static final String`
`NAVIGATE_COLLAPSE_ALL`
Id for command "Collapse All" in category "Navigate" (value is `"org.eclipse.ui.navigate.collapseAll"`).
`static final String`
`NAVIGATE_EXPAND_ALL`
Id for command "Expand All" in category "Navigate" (value is `"org.eclipse.ui.navigate.expandAll"`).
`static final String`
`NAVIGATE_FORWARD`
Id for command "Forward" in category "Navigate" (value is `"org.eclipse.ui.navigate.forward"`).
`static final String`
`NAVIGATE_FORWARD_HISTORY`
Id for command "Forward History" in category "Navigate" (value is `"org.eclipse.ui.navigate.forwardHistory"`).
`static final String`
`NAVIGATE_GO_INTO`
Id for command "Go Into" in category "Navigate" (value is `"org.eclipse.ui.navigate.goInto"`).
`static final String`
`NAVIGATE_NEXT`
Id for command "Next" in category "Navigate" (value is `"org.eclipse.ui.navigate.next"`).
`static final String`
`NAVIGATE_NEXT_PAGE`
Id for command "Next Page" in category "Navigate" (value is `"org.eclipse.ui.part.nextPage"`).
`static final String`
`NAVIGATE_PREVIOUS`
Id for command "Previous" in category "Navigate" (value is `"org.eclipse.ui.navigate.previous"`).
`static final String`
`NAVIGATE_PREVIOUS_PAGE`
Id for command "Previous Page" in category "Navigate" (value is `"org.eclipse.ui.part.previousPage"`).
`static final String`
`NAVIGATE_SHOW_IN`
Id for command "Show In" in category "Navigate" (value is `"org.eclipse.ui.navigate.showIn"`).
`static final String`
`NAVIGATE_SHOW_IN_PARM_TARGET`
Id for parameter "Target Id" in command "Show In" in category "Navigate" (value is `"org.eclipse.ui.navigate.showIn.targetId"`).
`static final String`
`NAVIGATE_SHOW_IN_QUICK_MENU`
Id for command "Show In" in category "Navigate" (value is `"org.eclipse.ui.navigate.showInQuickMenu"`).
`static final String`
`NAVIGATE_TOGGLE_LINK_WITH_EDITOR`
Id for command "Toggle Link with Editor " in category "Navigate" (value is `"org.eclipse.ui.navigate.linkWithEditor"`).
`static final String`
`NAVIGATE_UP`
Id for command "Up" in category "Navigate" (value is `"org.eclipse.ui.navigate.up"`).
`static final String`
`PERSPECTIVES_SHOW_PERSPECTIVE`
Id for command "Show Perspective" in category "Perspectives" (value is `"org.eclipse.ui.perspectives.showPerspective"`).
`static final String`
`PERSPECTIVES_SHOW_PERSPECTIVE_PARM_ID`
Id for parameter "Perspective Id" in command "Show Perspective" in category "Perspectives" (value is `"org.eclipse.ui.perspectives.showPerspective.perspectiveId"` ).
`static final String`
`PERSPECTIVES_SHOW_PERSPECTIVE_PARM_NEWWINDOW`
Id for parameter "In New Window" in command "Show Perspective" in category "Perspectives" (value is `"org.eclipse.ui.perspectives.showPerspective.newWindow"`).
`static final String`
`PROJECT_BUILD_ALL`
Id for command "Build All" in category "Project".
`static final String`
`PROJECT_BUILD_PROJECT`
Id for command "Build Project" in category "Project".
`static final String`
`PROJECT_CLOSE_PROJECT`
Id for command "Close Project" in category "Project".
`static final String`
`PROJECT_CLOSE_UNRELATED_PROJECTS`
Id for command "Close Unrelated Projects" in category "Project".
`static final String`
`PROJECT_OPEN_PROJECT`
Id for command "Open Project" in category "Project".
`static final String`
`VIEWS_SHOW_VIEW`
Id for command "Show View" in category "Views" (value is `"org.eclipse.ui.views.showView"`).
`static final String`
`VIEWS_SHOW_VIEW_PARM_FASTVIEW`
Id for parameter "As Fastview" in command "Show View" in category "Views" (value is `"org.eclipse.ui.views.showView.makeFast"`).
`static final String`
`VIEWS_SHOW_VIEW_PARM_ID`
Id for parameter "View Id" in command "Show View" in category "Views" (value is `"org.eclipse.ui.views.showView.viewId"`).
`static final String`
`VIEWS_SHOW_VIEW_SECONDARY_ID`
Id for parameter "Secondary Id" in command "Show View" in category "Views" (value is `"org.eclipse.ui.views.showView.secondaryId"`).
`static final String`
`WINDOW_ACTIVATE_EDITOR`
Id for command "Activate Editor" in category "Window" (value is `"org.eclipse.ui.window.activateEditor"`).
`static final String`
`WINDOW_CLOSE_ALL_PERSPECTIVES`
Id for command "Close All Perspectives" in category "Window" (value is `"org.eclipse.ui.window.closeAllPerspectives"`).
`static final String`
`WINDOW_CLOSE_PART`
Id for command "Close Part" in category "Window" (value is `"org.eclipse.ui.file.closePart"`).
`static final String`
`WINDOW_CLOSE_PERSPECTIVE`
Id for command "Close Perspective" in category "Window" (value is `"org.eclipse.ui.window.closePerspective"`).
`static final String`
`WINDOW_CLOSE_PERSPECTIVE_PARM_ID`
Id for parameter "Perspective Id" in command "Close Perspective" in category "Window" (value is `"org.eclipse.ui.window.closePerspective.perspectiveId"`).
`static final String`
`WINDOW_CUSTOMIZE_PERSPECTIVE`
Id for command "Customize Perspective" in category "Window" (value is `"org.eclipse.ui.window.customizePerspective"`).
`static final String`
`WINDOW_LOCK_TOOLBAR`
Id for command "Lock Toolbar" in category "Window" (value is `"org.eclipse.ui.window.lockToolbar"`).
`static final String`
`WINDOW_MAXIMIZE_ACTIVE_VIEW_OR_EDITOR`
Id for command "Maximize Active View or Editor" in category "Window" (value is `"org.eclipse.ui.window.maximizePart"`).
`static final String`
`WINDOW_MINIMIZE_ACTIVE_VIEW_OR_EDITOR`
Id for command "Minimize Active View or Editor" in category "Window" (value is `"org.eclipse.ui.window.minimizePart"`).
`static final String`
`WINDOW_NEW_EDITOR`
Id for command "New Editor" in category "Window" (value is `"org.eclipse.ui.window.newEditor"`).
`static final String`
`WINDOW_NEW_WINDOW`
Id for command "New Window" in category "Window" (value is `"org.eclipse.ui.window.newWindow"`).
`static final String`
`WINDOW_NEXT_EDITOR`
Id for command "Next Editor" in category "Window" (value is `"org.eclipse.ui.window.nextEditor"`).
`static final String`
`WINDOW_NEXT_PERSPECTIVE`
Id for command "Next Perspective" in category "Window" (value is `"org.eclipse.ui.window.nextPerspective"`).
`static final String`
`WINDOW_NEXT_VIEW`
Id for command "Next View" in category "Window" (value is `"org.eclipse.ui.window.nextView"`).
`static final String`
`WINDOW_PIN_EDITOR`
Id for command "Pin Editor" in category "Window" (value is `"org.eclipse.ui.window.pinEditor"`).
`static final String`
`WINDOW_PREFERENCES`
Id for command "Preferences" in category "Window" (value is `"org.eclipse.ui.window.preferences"`).
`static final String`
`WINDOW_PREFERENCES_PARM_PAGEID`
Id for parameter "Preference Page Id" in command "Preferences" in category "Window" (value is `"preferencePageId"`).
`static final String`
`WINDOW_PREVIOUS_EDITOR`
Id for command "Previous Editor" in category "Window" (value is `"org.eclipse.ui.window.previousEditor"`).
`static final String`
`WINDOW_PREVIOUS_PERSPECTIVE`
Id for command "Previous Perspective" in category "Window" (value is `"org.eclipse.ui.window.previousPerspective"`).
`static final String`
`WINDOW_PREVIOUS_VIEW`
Id for command "Previous View" in category "Window" (value is `"org.eclipse.ui.window.previousView"`).
`static final String`
`WINDOW_RESET_PERSPECTIVE`
Id for command "Reset Perspective" in category "Window" (value is `"org.eclipse.ui.window.resetPerspective"`).
`static final String`
`WINDOW_SAVE_PERSPECTIVE_AS`
Id for command "Save Perspective As" in category "Window" (value is `"org.eclipse.ui.window.savePerspective"`).
`static final String`
`WINDOW_SHOW_KEY_ASSIST`
Id for command "Show Key Assist" in category "Window" (value is `"org.eclipse.ui.window.showKeyAssist"`).
`static final String`
`WINDOW_SHOW_VIEW_MENU`
Id for command "Show View Menu" in category "Window" (value is `"org.eclipse.ui.window.showViewMenu"`).

## Field Details

### FILE_NEW

static final String FILE_NEW
Id for command "New" in category "File" (value is `"org.eclipse.ui.newWizard"`).

See Also:
  - Constant Field Values

### FILE_NEW_PARM_WIZARDID

static final String FILE_NEW_PARM_WIZARDID
Id for parameter "New Wizard" in command "New" in category "File" (value is `"newWizardId"`). Optional.

Since:
  3.6
See Also:
  - Constant Field Values

### FILE_CLOSE

static final String FILE_CLOSE
Id for command "Close" in category "File" (value is `"org.eclipse.ui.file.close"`).

See Also:
  - Constant Field Values

### FILE_CLOSE_ALL

static final String FILE_CLOSE_ALL
Id for command "Close All" in category "File" (value is `"org.eclipse.ui.file.closeAll"`).

See Also:
  - Constant Field Values

### FILE_IMPORT

static final String FILE_IMPORT
Id for command "Import" in category "File" (value is `"org.eclipse.ui.file.import"`).

See Also:
  - Constant Field Values

### FILE_IMPORT_PARM_WIZARDID

static final String FILE_IMPORT_PARM_WIZARDID
Id for parameter "Import Wizard" in command "Import" in category "File" (value is `"importWizardId"`). Optional.

Since:
  3.6
See Also:
  - Constant Field Values

### FILE_EXPORT

static final String FILE_EXPORT
Id for command "Export" in category "File" (value is `"org.eclipse.ui.file.export"`).

See Also:
  - Constant Field Values

### FILE_EXPORT_PARM_WIZARDID

static final String FILE_EXPORT_PARM_WIZARDID
Id for parameter "Export Wizard" in command "Export" in category "File" (value is `"exportWizardId"`). Optional.

Since:
  3.6
See Also:
  - Constant Field Values

### FILE_SAVE

static final String FILE_SAVE
Id for command "Save" in category "File" (value is `"org.eclipse.ui.file.save"`).

See Also:
  - Constant Field Values

### FILE_SAVE_AS

static final String FILE_SAVE_AS
Id for command "Save As" in category "File" (value is `"org.eclipse.ui.file.saveAs"`).

See Also:
  - Constant Field Values

### FILE_SAVE_ALL

static final String FILE_SAVE_ALL
Id for command "Save All" in category "File" (value is `"org.eclipse.ui.file.saveAll"`).

See Also:
  - Constant Field Values

### FILE_PRINT

static final String FILE_PRINT
Id for command "Print" in category "File" (value is `"org.eclipse.ui.file.print"`).

See Also:
  - Constant Field Values

### FILE_REVERT

static final String FILE_REVERT
Id for command "Revert" in category "File" (value is `"org.eclipse.ui.file.revert"`).

See Also:
  - Constant Field Values

### FILE_RESTART

static final String FILE_RESTART
Id for command "Restart" in category "File" (value is `"org.eclipse.ui.file.restartWorkbench"`).

See Also:
  - Constant Field Values

### FILE_REFRESH

static final String FILE_REFRESH
Id for command "Refresh" in category "File" (value is `"org.eclipse.ui.file.refresh"`).

See Also:
  - Constant Field Values

### FILE_PROPERTIES

static final String FILE_PROPERTIES
Id for command "Properties" in category "File" (value is `"org.eclipse.ui.file.properties"`).

See Also:
  - Constant Field Values

### FILE_EXIT

static final String FILE_EXIT
Id for command "Exit" in category "File" (value is `"org.eclipse.ui.file.exit"`).

See Also:
  - Constant Field Values

### FILE_MOVE

static final String FILE_MOVE
Id for command "Move" in category "File" (value is `"org.eclipse.ui.edit.move"`).

See Also:
  - Constant Field Values

### FILE_RENAME

static final String FILE_RENAME
Id for command "Rename" in category "File" (value is `"org.eclipse.ui.edit.rename"`).

See Also:
  - Constant Field Values

### FILE_CLOSE_OTHERS

static final String FILE_CLOSE_OTHERS
Id for command "Close Others" in category "File" (value is `"org.eclipse.ui.file.closeOthers"`).

See Also:
  - Constant Field Values

### EDIT_UNDO

static final String EDIT_UNDO
Id for command "Undo" in category "Edit" (value is `"org.eclipse.ui.edit.undo"`).

See Also:
  - Constant Field Values

### EDIT_REDO

static final String EDIT_REDO
Id for command "Redo" in category "Edit" (value is `"org.eclipse.ui.edit.redo"`).

See Also:
  - Constant Field Values

### EDIT_CUT

static final String EDIT_CUT
Id for command "Cut" in category "Edit" (value is `"org.eclipse.ui.edit.cut"`).

See Also:
  - Constant Field Values

### EDIT_COPY

static final String EDIT_COPY
Id for command "Copy" in category "Edit" (value is `"org.eclipse.ui.edit.copy"`).

See Also:
  - Constant Field Values

### EDIT_PASTE

static final String EDIT_PASTE
Id for command "Paste" in category "Edit" (value is `"org.eclipse.ui.edit.paste"`).

See Also:
  - Constant Field Values

### EDIT_DELETE

static final String EDIT_DELETE
Id for command "Delete" in category "Edit" (value is `"org.eclipse.ui.edit.delete"`).

See Also:
  - Constant Field Values

### EDIT_CONTENT_ASSIST

static final String EDIT_CONTENT_ASSIST
Id for command "Content Assist" in category "Edit" (value is `"org.eclipse.ui.edit.text.contentAssist.proposals"`).

See Also:
  - Constant Field Values

### EDIT_CONTEXT_INFORMATION

static final String EDIT_CONTEXT_INFORMATION
Id for command "Context Information" in category "Edit" (value is `"org.eclipse.ui.edit.text.contentAssist.contextInformation"`).

See Also:
  - Constant Field Values

### EDIT_SELECT_ALL

static final String EDIT_SELECT_ALL
Id for command "Select All" in category "Edit" (value is `"org.eclipse.ui.edit.selectAll"`).

See Also:
  - Constant Field Values

### EDIT_FIND_AND_REPLACE

static final String EDIT_FIND_AND_REPLACE
Id for command "Find and Replace" in category "Edit" (value is `"org.eclipse.ui.edit.findReplace"`).

See Also:
  - Constant Field Values

### EDIT_ADD_TASK

static final String EDIT_ADD_TASK
Id for command "Add Task" in category "Edit". (value is `"org.eclipse.ui.edit.addTask"`).

See Also:
  - Constant Field Values

### EDIT_ADD_BOOKMARK

static final String EDIT_ADD_BOOKMARK
Id for command "Add Bookmark" in category "Edit" (value is `"org.eclipse.ui.edit.addBookmark"`).

See Also:
  - Constant Field Values

### NAVIGATE_GO_INTO

static final String NAVIGATE_GO_INTO
Id for command "Go Into" in category "Navigate" (value is `"org.eclipse.ui.navigate.goInto"`).

See Also:
  - Constant Field Values

### NAVIGATE_BACK

static final String NAVIGATE_BACK
Id for command "Back" in category "Navigate" (value is `"org.eclipse.ui.navigate.back"`).

See Also:
  - Constant Field Values

### NAVIGATE_FORWARD

static final String NAVIGATE_FORWARD
Id for command "Forward" in category "Navigate" (value is `"org.eclipse.ui.navigate.forward"`).

See Also:
  - Constant Field Values

### NAVIGATE_UP

static final String NAVIGATE_UP
Id for command "Up" in category "Navigate" (value is `"org.eclipse.ui.navigate.up"`).

See Also:
  - Constant Field Values

### NAVIGATE_NEXT

static final String NAVIGATE_NEXT
Id for command "Next" in category "Navigate" (value is `"org.eclipse.ui.navigate.next"`).

See Also:
  - Constant Field Values

### NAVIGATE_BACKWARD_HISTORY

static final String NAVIGATE_BACKWARD_HISTORY
Id for command "Backward History" in category "Navigate" (value is `"org.eclipse.ui.navigate.backwardHistory"`).

See Also:
  - Constant Field Values

### NAVIGATE_FORWARD_HISTORY

static final String NAVIGATE_FORWARD_HISTORY
Id for command "Forward History" in category "Navigate" (value is `"org.eclipse.ui.navigate.forwardHistory"`).

See Also:
  - Constant Field Values

### NAVIGATE_PREVIOUS

static final String NAVIGATE_PREVIOUS
Id for command "Previous" in category "Navigate" (value is `"org.eclipse.ui.navigate.previous"`).

See Also:
  - Constant Field Values

### NAVIGATE_TOGGLE_LINK_WITH_EDITOR

static final String NAVIGATE_TOGGLE_LINK_WITH_EDITOR
Id for command "Toggle Link with Editor " in category "Navigate" (value is `"org.eclipse.ui.navigate.linkWithEditor"`).

See Also:
  - Constant Field Values

### NAVIGATE_NEXT_PAGE

static final String NAVIGATE_NEXT_PAGE
Id for command "Next Page" in category "Navigate" (value is `"org.eclipse.ui.part.nextPage"`).

See Also:
  - Constant Field Values

### NAVIGATE_PREVIOUS_PAGE

static final String NAVIGATE_PREVIOUS_PAGE
Id for command "Previous Page" in category "Navigate" (value is `"org.eclipse.ui.part.previousPage"`).

See Also:
  - Constant Field Values

### NAVIGATE_COLLAPSE_ALL

static final String NAVIGATE_COLLAPSE_ALL
Id for command "Collapse All" in category "Navigate" (value is `"org.eclipse.ui.navigate.collapseAll"`).

See Also:
  - Constant Field Values

### NAVIGATE_EXPAND_ALL

static final String NAVIGATE_EXPAND_ALL
Id for command "Expand All" in category "Navigate" (value is `"org.eclipse.ui.navigate.expandAll"`).

Since:
  3.6
See Also:
  - Constant Field Values

### NAVIGATE_SHOW_IN

static final String NAVIGATE_SHOW_IN
Id for command "Show In" in category "Navigate" (value is `"org.eclipse.ui.navigate.showIn"`).

See Also:
  - Constant Field Values

### NAVIGATE_SHOW_IN_PARM_TARGET

static final String NAVIGATE_SHOW_IN_PARM_TARGET
Id for parameter "Target Id" in command "Show In" in category "Navigate" (value is `"org.eclipse.ui.navigate.showIn.targetId"`). Required.

Since:
  3.6
See Also:
  - Constant Field Values

### NAVIGATE_SHOW_IN_QUICK_MENU

static final String NAVIGATE_SHOW_IN_QUICK_MENU
Id for command "Show In" in category "Navigate" (value is `"org.eclipse.ui.navigate.showInQuickMenu"`).

See Also:
  - Constant Field Values

### PROJECT_BUILD_ALL

static final String PROJECT_BUILD_ALL
Id for command "Build All" in category "Project". (value is `"org.eclipse.ui.project.buildAll"`).

See Also:
  - Constant Field Values

### PROJECT_BUILD_PROJECT

static final String PROJECT_BUILD_PROJECT
Id for command "Build Project" in category "Project". (value is `"org.eclipse.ui.project.buildProject"`).

See Also:
  - Constant Field Values

### PROJECT_CLOSE_PROJECT

static final String PROJECT_CLOSE_PROJECT
Id for command "Close Project" in category "Project". (value is `"org.eclipse.ui.project.closeProject"`).

See Also:
  - Constant Field Values

### PROJECT_CLOSE_UNRELATED_PROJECTS

static final String PROJECT_CLOSE_UNRELATED_PROJECTS
Id for command "Close Unrelated Projects" in category "Project". (value is `"org.eclipse.ui.project.closeUnrelatedProjects"`).

See Also:
  - Constant Field Values

### PROJECT_OPEN_PROJECT

static final String PROJECT_OPEN_PROJECT
Id for command "Open Project" in category "Project". (value is `"org.eclipse.ui.project.openProject"`).

See Also:
  - Constant Field Values

### WINDOW_NEW_WINDOW

static final String WINDOW_NEW_WINDOW
Id for command "New Window" in category "Window" (value is `"org.eclipse.ui.window.newWindow"`).

See Also:
  - Constant Field Values

### WINDOW_NEW_EDITOR

static final String WINDOW_NEW_EDITOR
Id for command "New Editor" in category "Window" (value is `"org.eclipse.ui.window.newEditor"`).

See Also:
  - Constant Field Values

### WINDOW_SHOW_VIEW_MENU

static final String WINDOW_SHOW_VIEW_MENU
Id for command "Show View Menu" in category "Window" (value is `"org.eclipse.ui.window.showViewMenu"`).

See Also:
  - Constant Field Values

### WINDOW_ACTIVATE_EDITOR

static final String WINDOW_ACTIVATE_EDITOR
Id for command "Activate Editor" in category "Window" (value is `"org.eclipse.ui.window.activateEditor"`).

See Also:
  - Constant Field Values

### WINDOW_MAXIMIZE_ACTIVE_VIEW_OR_EDITOR

static final String WINDOW_MAXIMIZE_ACTIVE_VIEW_OR_EDITOR
Id for command "Maximize Active View or Editor" in category "Window" (value is `"org.eclipse.ui.window.maximizePart"`).

See Also:
  - Constant Field Values

### WINDOW_MINIMIZE_ACTIVE_VIEW_OR_EDITOR

static final String WINDOW_MINIMIZE_ACTIVE_VIEW_OR_EDITOR
Id for command "Minimize Active View or Editor" in category "Window" (value is `"org.eclipse.ui.window.minimizePart"`).

See Also:
  - Constant Field Values

### WINDOW_NEXT_EDITOR

static final String WINDOW_NEXT_EDITOR
Id for command "Next Editor" in category "Window" (value is `"org.eclipse.ui.window.nextEditor"`).

See Also:
  - Constant Field Values

### WINDOW_PREVIOUS_EDITOR

static final String WINDOW_PREVIOUS_EDITOR
Id for command "Previous Editor" in category "Window" (value is `"org.eclipse.ui.window.previousEditor"`).

See Also:
  - Constant Field Values

### WINDOW_NEXT_VIEW

static final String WINDOW_NEXT_VIEW
Id for command "Next View" in category "Window" (value is `"org.eclipse.ui.window.nextView"`).

See Also:
  - Constant Field Values

### WINDOW_PREVIOUS_VIEW

static final String WINDOW_PREVIOUS_VIEW
Id for command "Previous View" in category "Window" (value is `"org.eclipse.ui.window.previousView"`).

See Also:
  - Constant Field Values

### WINDOW_NEXT_PERSPECTIVE

static final String WINDOW_NEXT_PERSPECTIVE
Id for command "Next Perspective" in category "Window" (value is `"org.eclipse.ui.window.nextPerspective"`).

See Also:
  - Constant Field Values

### WINDOW_PREVIOUS_PERSPECTIVE

static final String WINDOW_PREVIOUS_PERSPECTIVE
Id for command "Previous Perspective" in category "Window" (value is `"org.eclipse.ui.window.previousPerspective"`).

See Also:
  - Constant Field Values

### WINDOW_CLOSE_ALL_PERSPECTIVES

static final String WINDOW_CLOSE_ALL_PERSPECTIVES
Id for command "Close All Perspectives" in category "Window" (value is `"org.eclipse.ui.window.closeAllPerspectives"`).

See Also:
  - Constant Field Values

### WINDOW_CLOSE_PERSPECTIVE

static final String WINDOW_CLOSE_PERSPECTIVE
Id for command "Close Perspective" in category "Window" (value is `"org.eclipse.ui.window.closePerspective"`).

See Also:
  - Constant Field Values

### WINDOW_CLOSE_PERSPECTIVE_PARM_ID

static final String WINDOW_CLOSE_PERSPECTIVE_PARM_ID
Id for parameter "Perspective Id" in command "Close Perspective" in category "Window" (value is `"org.eclipse.ui.window.closePerspective.perspectiveId"`). Optional.

Since:
  3.6
See Also:
  - Constant Field Values

### WINDOW_CLOSE_PART

static final String WINDOW_CLOSE_PART
Id for command "Close Part" in category "Window" (value is `"org.eclipse.ui.file.closePart"`).

See Also:
  - Constant Field Values

### WINDOW_CUSTOMIZE_PERSPECTIVE

static final String WINDOW_CUSTOMIZE_PERSPECTIVE
Id for command "Customize Perspective" in category "Window" (value is `"org.eclipse.ui.window.customizePerspective"`).

See Also:
  - Constant Field Values

### WINDOW_PIN_EDITOR

static final String WINDOW_PIN_EDITOR
Id for command "Pin Editor" in category "Window" (value is `"org.eclipse.ui.window.pinEditor"`).

See Also:
  - Constant Field Values

### WINDOW_PREFERENCES

static final String WINDOW_PREFERENCES
Id for command "Preferences" in category "Window" (value is `"org.eclipse.ui.window.preferences"`).

See Also:
  - Constant Field Values

### WINDOW_PREFERENCES_PARM_PAGEID

static final String WINDOW_PREFERENCES_PARM_PAGEID
Id for parameter "Preference Page Id" in command "Preferences" in category "Window" (value is `"preferencePageId"`). Optional.

Since:
  3.6
See Also:
  - Constant Field Values

### WINDOW_RESET_PERSPECTIVE

static final String WINDOW_RESET_PERSPECTIVE
Id for command "Reset Perspective" in category "Window" (value is `"org.eclipse.ui.window.resetPerspective"`).

See Also:
  - Constant Field Values

### WINDOW_SAVE_PERSPECTIVE_AS

static final String WINDOW_SAVE_PERSPECTIVE_AS
Id for command "Save Perspective As" in category "Window" (value is `"org.eclipse.ui.window.savePerspective"`).

See Also:
  - Constant Field Values

### WINDOW_SHOW_KEY_ASSIST

static final String WINDOW_SHOW_KEY_ASSIST
Id for command "Show Key Assist" in category "Window" (value is `"org.eclipse.ui.window.showKeyAssist"`).

See Also:
  - Constant Field Values

### WINDOW_LOCK_TOOLBAR

static final String WINDOW_LOCK_TOOLBAR
Id for command "Lock Toolbar" in category "Window" (value is `"org.eclipse.ui.window.lockToolbar"`).

Since:
  3.7
See Also:
  - Constant Field Values

### HELP_HELP_CONTENTS

static final String HELP_HELP_CONTENTS
Id for command "Help Contents" in category "Help" (value is `"org.eclipse.ui.help.helpContents"`).

See Also:
  - Constant Field Values

### HELP_HELP_SEARCH

static final String HELP_HELP_SEARCH
Id for command "Help Search" in category "Help" (value is `"org.eclipse.ui.help.helpSearch"`).

See Also:
  - Constant Field Values

### HELP_DYNAMIC_HELP

static final String HELP_DYNAMIC_HELP
Id for command "Dynamic Help" in category "Help" (value is `"org.eclipse.ui.help.dynamicHelp"`).

See Also:
  - Constant Field Values

### HELP_WELCOME

static final String HELP_WELCOME
Id for command "Welcome" in category "Help" (value is `"org.eclipse.ui.help.quickStartAction"`).

See Also:
  - Constant Field Values

### HELP_TIPS_AND_TRICKS

static final String HELP_TIPS_AND_TRICKS
Id for command "Tips and Tricks" in category "Help" (value is `"org.eclipse.ui.help.tipsAndTricksAction"`).

See Also:
  - Constant Field Values

### HELP_ABOUT

static final String HELP_ABOUT
Id for command "About" in category "Help" (value is `"org.eclipse.ui.help.aboutAction"`).

See Also:
  - Constant Field Values

### VIEWS_SHOW_VIEW

static final String VIEWS_SHOW_VIEW
Id for command "Show View" in category "Views" (value is `"org.eclipse.ui.views.showView"`).

See Also:
  - Constant Field Values

### VIEWS_SHOW_VIEW_PARM_ID

static final String VIEWS_SHOW_VIEW_PARM_ID
Id for parameter "View Id" in command "Show View" in category "Views" (value is `"org.eclipse.ui.views.showView.viewId"`).

Since:
  3.6
See Also:
  - Constant Field Values

### VIEWS_SHOW_VIEW_SECONDARY_ID

static final String VIEWS_SHOW_VIEW_SECONDARY_ID
Id for parameter "Secondary Id" in command "Show View" in category "Views" (value is `"org.eclipse.ui.views.showView.secondaryId"`).

Since:
  3.7
See Also:
  - Constant Field Values

### VIEWS_SHOW_VIEW_PARM_FASTVIEW

static final String VIEWS_SHOW_VIEW_PARM_FASTVIEW
Id for parameter "As Fastview" in command "Show View" in category "Views" (value is `"org.eclipse.ui.views.showView.makeFast"`). Optional.

Since:
  3.6
See Also:
  - Constant Field Values

### PERSPECTIVES_SHOW_PERSPECTIVE

static final String PERSPECTIVES_SHOW_PERSPECTIVE
Id for command "Show Perspective" in category "Perspectives" (value is `"org.eclipse.ui.perspectives.showPerspective"`).

See Also:
  - Constant Field Values

### PERSPECTIVES_SHOW_PERSPECTIVE_PARM_ID

static final String PERSPECTIVES_SHOW_PERSPECTIVE_PARM_ID
Id for parameter "Perspective Id" in command "Show Perspective" in category "Perspectives" (value is `"org.eclipse.ui.perspectives.showPerspective.perspectiveId"` ).

Since:
  3.6
See Also:
  - Constant Field Values

### PERSPECTIVES_SHOW_PERSPECTIVE_PARM_NEWWINDOW

static final String PERSPECTIVES_SHOW_PERSPECTIVE_PARM_NEWWINDOW
Id for parameter "In New Window" in command "Show Perspective" in category "Perspectives" (value is `"org.eclipse.ui.perspectives.showPerspective.newWindow"`). Optional.

Since:
  3.6
See Also:
  - Constant Field Values